Bug 167603 - can't sync PDA with jpilot
can't sync PDA with jpilot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 01:05 EDT by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 03:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-09-06 01:05:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Up-to-date FC4
Handspring Visor Platinum
Same jpilot settings that worked fine for years on FC3, FC2...

Push the sync button - nothing.
Changed a few settings, try again, nothing.

Version-Release number of selected component (if applicable):
jpilot-0.99.8-0.pre9.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
  

Actual Results:  can't sync PDA

Expected Results:  PDA should sync

Additional info:
Comment 1 Ivana Varekova 2005-09-06 03:06:50 EDT
Could you please try to reproduce this problem with the last version of jpilot
(jpilot-0.99.8-0.pre10.2)? 
Thanky you.
 
Comment 2 Florin Andrei 2005-09-06 12:39:52 EDT
(In reply to comment #1)
> Could you please try to reproduce this problem with the last version of jpilot
> (jpilot-0.99.8-0.pre10.2)?

You mean, the one from the Development packages?
Comment 3 Florin Andrei 2005-09-06 22:29:55 EDT
OK, I tried it, it doesn't work. Same problem.
Comment 4 Ivana Varekova 2005-09-07 04:53:05 EDT
Could you please attach error messages which jpilot write after unsuccesfull sync.
Comment 5 Florin Andrei 2005-09-08 02:30:50 EDT
(In reply to comment #4)
> Could you please attach error messages which jpilot write after unsuccesfull sync.

Before that, here's a good one: if i click on Restore Handheld, jpilot crashes hard:

[florin@rivendell ~]$ jpilot
removing stale pidfile
*** buffer overflow detected ***: jpilot terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x2fdc45]
/lib/libc.so.6(__vsprintf_chk+0x0)[0x2fd510]
/lib/libc.so.6(_IO_default_xsputn+0x97)[0x280858]
/lib/libc.so.6(_IO_vfprintf+0x1b05)[0x25c607]
/lib/libc.so.6(__vsprintf_chk+0xa1)[0x2fd5b1]
/lib/libc.so.6(__sprintf_chk+0x30)[0x2fd504]
jpilot(restore_gui+0x7ec)[0x8091b28]
jpilot(cb_restore+0x91)[0x807ad98]
/usr/lib/libgtk-x11-2.0.so.0[0x69ee47]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x47)[0x19f817]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x194285]
/usr/lib/libgobject-2.0.so.0[0x1a278b]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x1a3ee0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1a4254]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x8a)[0x7918bd]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0xd0)[0x6c401a]
/usr/lib/libgtk-x11-2.0.so.0[0x6c42ed]
/usr/lib/libgtk-x11-2.0.so.0[0x6bb7fd]
/usr/lib/libgtk-x11-2.0.so.0[0x6b6352]
/usr/lib/libgobject-2.0.so.0[0x193d9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x194285]
/usr/lib/libgobject-2.0.so.0[0x1a2917]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0x1a3c53]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x1a4254]
/usr/lib/libgtk-x11-2.0.so.0[0x791ac3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0xc1)[0x6b4ab7]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x329)[0x6b4ef4]
/usr/lib/libgdk-x11-2.0.so.0[0x526d6e]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x1243ee]
/usr/lib/libglib-2.0.so.0[0x1273f6]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0x1276e3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x6b41b5]
jpilot(main+0x20f1)[0x807f31a]
/lib/libc.so.6(__libc_start_main+0xdf)[0x234d5f]
jpilot[0x80539c1]
======= Memory map: ========
00101000-00185000 r-xp 00000000 03:04 5241860    /usr/lib/libglib-2.0.so.0.600.4
00185000-0018a000 rwxp 00084000 03:04 5241860    /usr/lib/libglib-2.0.so.0.600.4
0018a000-0018b000 r-xp 00000000 03:04 5499947   
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
0018b000-0018c000 rwxp 00001000 03:04 5499947   
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
0018c000-001c4000 r-xp 00000000 03:04 5250153    /usr/lib/libgobject-2.0.so.0.600.4
001c4000-001c8000 rwxp 00037000 03:04 5250153    /usr/lib/libgobject-2.0.so.0.600.4
001ca000-001de000 r-xp 00000000 03:04 5250154   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
001de000-001e0000 rwxp 00013000 03:04 5250154   
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
001e0000-001e3000 r-xp 00000000 03:04 5239673    /usr/X11R6/lib/libXrandr.so.2.0
001e3000-001e4000 rwxp 00002000 03:04 5239673    /usr/X11R6/lib/libXrandr.so.2.0
001e4000-001e6000 r-xp 00000000 03:04 5239663    /usr/X11R6/lib/libXinerama.so.1.0
001e6000-001e7000 rwxp 00001000 03:04 5239663    /usr/X11R6/lib/libXinerama.so.1.0
001e7000-001eb000 r-xp 00000000 03:04 5239527    /usr/X11R6/lib/libXfixes.so.3.0
001eb000-001ec000 rwxp 00003000 03:04 5239527    /usr/X11R6/lib/libXfixes.so.3.0
001ec000-0021c000 r-xp 00000000 03:04 5242975    /usr/lib/libpisock.so.9.0.0
0021c000-00220000 rwxp 0002f000 03:04 5242975    /usr/lib/libpisock.so.9.0.0
00220000-00343000 r-xp 00000000 03:04 526564     /lib/libc-2.3.5.so
00343000-00345000 r-xp 00123000 03:04 526564     /lib/libc-2.3.5.so
00345000-00347000 rwxp 00125000 03:04 526564     /lib/libc-2.3.5.so
00347000-00349000 rwxp 00347000 00:00 0
00349000-00350000 r-xp 00000000 03:04 5239676    /usr/X11R6/lib/libXrender.so.1.2.2
00350000-00351000 rwxp 00007000 03:04 5239676    /usr/X11R6/lib/libXrender.so.1.2.2
00351000-0035f000 r-xp 00000000 03:04 5239523    /usr/X11R6/lib/libXext.so.6.4
0035f000-00360000 rwxp 0000e000 03:04 5239523    /usr/X11R6/lib/libXext.so.6.4
00360000-0036a000 r-xp 00000000 03:04 5499450   
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
0036a000-0036b000 rwxp 00009000 03:04 5499450   
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
0036b000-00374000 r-xp 00000000 03:04 5499480   
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
00374000-00375000 rwxp 00008000 03:04 5499480   
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
00375000-0037e000 r-xp 00000000 03:04 523316     /lib/libnss_files-2.3.5.so
0037e000-0037f000 r-xp 00008000 03:04 523316     /lib/libnss_files-2.3.5.so
0037f000-00380000 rwxp 00009000 03:04 523316     /lib/libnss_files-2.3.5.so
00380000-00381000 r-xp 00000000 03:04 5298276    /usr/lib/gconv/ISO8859-1.so
00381000-00383000 rwxp 00000000 03:04 5298276    /usr/lib/gconv/ISO8859-1.so
00383000-00389000 r-xp 00000000 03:04 5430215   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
00389000-0038b000 rwxp 00006000 03:04 5430215   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0038b000-0038f000 r-xp 00000000 03:04 5430208   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
0038f000-00390000 rwxp 00003000 03:04 5430208   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
00390000-003ad000 r-xp 00000000 03:04 5249276    /usr/lib/libexpat.so.0.5.0
003ad000-003af000 rwxp 0001c000 03:04 5249276    /usr/lib/libexpat.so.0.5.0
003b1000-00412000 r-xp 00000000 03:04 5250142    /usr/lib/libfreetype.so.6.3.7
00412000-00419000 rwxp 00061000 03:04 5250142    /usr/lib/libfreetype.so.6.3.7
0041b000-00441000 r-xp 00000000 03:04 5250143    /usr/lib/libfontconfig.so.1.0.4
00441000-00444000 rwxp 00026000 03:04 5250143    /usr/lib/libfontconfig.so.1.0.4
00444000-00445000 rwxp 00444000 00:00 0
00445000-00455000 r-xp 00000000 03:04 5431836   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
00455000-00456000 rwxp 0000f000 03:04 5431836   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
0047d000-004a0000 r-xp Aborted
[florin@rivendell ~]$
Comment 6 Florin Andrei 2005-09-08 02:35:42 EDT
OK, now to answer the request:

I push the sync button on the PDA dock. The PDA displays "identifying user" or
something like that, and stays there until it says that the connection was lost.
Meanwhile, jpilot displays this:

PC ID is 0.
I generated a new PC ID.  It is 516657801
****************************************
 Syncing on device /dev/ttyUSB1
 Press the HotSync button now
****************************************
Username is ""
User ID is -1080646512
lastSyncPC = 134821984
This PC = 516657801
dlp_OpenConduit() failed
Sync canceled
Exiting with status SYNC_ERROR_OPEN_CONDUIT
Finished
Comment 7 Florin Andrei 2005-09-08 02:39:56 EDT
Third attempt, the PDA displays same. jpilot displays:

****************************************
 Syncing on device /dev/ttyUSB1
 Press the HotSync button now
****************************************
Username is ""
User ID is -1080646512
lastSyncPC = 134821984
This PC = 516657801
dlp_OpenConduit() failed
Sync canceled
Exiting with status SYNC_ERROR_OPEN_CONDUIT
Finished
Comment 8 Florin Andrei 2005-09-08 02:40:53 EDT
Meanwhile, something keeps deleting my /dev/ttyUSB* files and I have no idea how
to stop that.
Comment 9 Ivana Varekova 2005-09-08 07:09:37 EDT
Which version of pilot-link package do you use? 
The last version is pilot-link-0.12.0-0.pre4.5, if you use older version, could
you update your pilot-link package and try to reproduce this problem again and
attach output error messages (if this bug will present).
Comment 10 Florin Andrei 2005-09-08 20:42:39 EDT
(In reply to comment #9)
> Which version of pilot-link package do you use? 
> The last version is pilot-link-0.12.0-0.pre4.5, if you use older version, could
> you update your pilot-link package and try to reproduce this problem again and
> attach output error messages (if this bug will present).

We're getting closer.

# rpm -qa | grep pilot
gnome-pilot-devel-2.0.13-2
pilot-link-0.12.0-0.pre4.5
pilot-link-devel-0.12.0-0.pre4.5
jpilot-0.99.8-0.pre10.2
gnome-pilot-2.0.13-2

With the new pilot-link, jpilot tells me that the PDA has a NULL user id (which
is expected, since I lost all memory when the batteries died). However, I can't
use Restore Handheld to restore my PDA from the jpilot backup because jpilot
will crash.
Any idea?
Comment 11 Florin Andrei 2005-09-08 20:54:45 EDT
SUCCESS!!!

jpilot is crashing on Restore Handheld if there is no PDA backup in ~/.jpilot
When I used my ~/.jpilot backup directory instead of a fresh one, it worked. I
was able to restore my PDA. sync seems to work fine.
I'll do more tests, but overall it appears to work well.
Comment 12 Ivana Varekova 2005-09-09 04:33:35 EDT
I mark this bug as needinfo_reporter. If you find any problem with these
versions of pilot-link and jpilot, please create a comment. If you don't find
any problem please close this bug.
Thank you for your notice and excellent cooperation. 
Comment 13 Florin Andrei 2005-09-09 13:06:04 EDT
Thank you!
I'll post any outstanding issues with the software versions I'm using now.

Any idea when the fixed versions are going to show up in the Fedora updates?
Comment 14 Ivana Varekova 2005-09-12 08:13:41 EDT
First pilot-link should be upgraded, jpilot have to be updated after this
update. Pilot-link's upgrade should be soon (this week) and jpilot upgrade will
be done directly after this update.
Comment 15 Ivana Varekova 2005-09-23 03:34:00 EDT
This problem should be fixed now, in fc4 there is jpilot-0.99.8-0.pre10.fc4.1
version. 
Feel free to open this bug if there is any problem. 
Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.